Package org.eclipse.mat.parser.internal.oql

## Interface ICompiler

All Known Implementing Classes:
  `CompilerImpl`

    public interface ICompiler

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `and​(Object[] arguments)`
`Object` `array​(Object index)`
`Object` `array​(Object index, Object index2)`
`Object` `divide​(Object left, Object right)`
`Object` `equal​(Object left, Object right)`
`Object` `greaterThan​(Object left, Object right)`
`Object` `greaterThanOrEqual​(Object left, Object right)`
`Object` `in​(Object left, Object right)`
`Object` `instanceOf​(Object left, String className)`
`Object` `lessThan​(Object left, Object right)`
`Object` `lessThanOrEqual​(Object left, Object right)`
`Object` `like​(Object ex, String regex)`
`Object` `literal​(Object object)`
`Object` `method​(String name, List<Expression> parameters, boolean isFirstInPath)`
`Object` `minus​(Object left, Object right)`
`Object` `multiply​(Object left, Object right)`
`Object` `notEqual​(Object left, Object right)`
`Object` `notIn​(Object left, Object right)`
`Object` `notLike​(Object ex, String regex)`
`Object` `nullLiteral()`
`Object` `or​(Object[] arguments)`
`Object` `path​(List<Object> attributes)`
`Object` `plus​(Object left, Object right)`
`Object` `subQuery​(Query q)`

### Method Detail

#### and

    Object and​(Object[] arguments)

#### or

    Object or​(Object[] arguments)

#### equal

    Object equal​(Object left,
                 Object right)

#### notEqual

    Object notEqual​(Object left,
                    Object right)

#### lessThan

    Object lessThan​(Object left,
                    Object right)

#### lessThanOrEqual

    Object lessThanOrEqual​(Object left,
                           Object right)

#### greaterThan

    Object greaterThan​(Object left,
                       Object right)

#### greaterThanOrEqual

    Object greaterThanOrEqual​(Object left,
                              Object right)

#### like

    Object like​(Object ex,
                String regex)

#### notLike

    Object notLike​(Object ex,
                   String regex)

#### instanceOf

    Object instanceOf​(Object left,
                      String className)

#### in

    Object in​(Object left,
              Object right)

#### notIn

    Object notIn​(Object left,
                 Object right)

#### literal

    Object literal​(Object object)

#### nullLiteral

    Object nullLiteral()

#### path

    Object path​(List<Object> attributes)

#### method

    Object method​(String name,
                  List<Expression> parameters,
                  boolean isFirstInPath)

#### subQuery

    Object subQuery​(Query q)

#### plus

    Object plus​(Object left,
                Object right)

#### minus

    Object minus​(Object left,
                 Object right)

#### multiply

    Object multiply​(Object left,
                    Object right)

#### divide

    Object divide​(Object left,
                  Object right)

#### array

    Object array​(Object index)

#### array

    Object array​(Object index,
                 Object index2)